Debian Bug report logs - #423765
freej: FTBFS: swf.h:202: error: previous declaration of 'int shape_size' with 'C++' linkage

version graph

Package: freej; Maintainer for freej is Luca Bigliardi <shammash@artha.org>;

Reported by: Michael Ablassmeier <abi@grinser.de>

Date: Mon, 14 May 2007 08:21:12 UTC

Severity: serious

Tags: lenny, sid

Found in version freej/0.8.1-4

Fixed in version freej/0.9.1+dl0-1

Done: Guido Trotter <ultrotter@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Guido Trotter <ultrotter@debian.org>:
Bug#423765; Package freej. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
New Bug report received and forwarded. Copy sent to Guido Trotter <ultrotter@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: maintonly@bugs.debian.org
Subject: freej: FTBFS: swf.h:202: error: previous declaration of 'int shape_size' with 'C++' linkage
Date: Mon, 14 May 2007 10:17:10 +0200
Package: freej
Severity: serious
Version: 0.8.1-4
Justification: policy violation

hi, 

Lucas has rebuild the archive on i386 and your package Failed to Build
from Source with the following error:

 swf.h:202: error: previous declaration of 'int shape_size' with 'C++' linkage
flash.cc:294: error: conflicts with new declaration with 'C' linkage
swf.h:202: error: previous declaration of 'int shape_nb' with 'C++' linkage
flash.cc:294: error: conflicts with new declaration with 'C' linkage
swf.h:202: error: previous declaration of 'int shaperecord_size' with 'C++' linkage
flash.cc:294: error: conflicts with new declaration with 'C' linkage
swf.h:202: error: previous declaration of 'int shaperecord_nb' with 'C++' linkage
flash.cc:294: error: conflicts with new declaration with 'C' linkage
swf.h:202: error: previous declaration of 'int style_size' with 'C++' linkage
flash.cc:294: error: conflicts with new declaration with 'C' linkage
swf.h:202: error: previous declaration of 'int style_nb' with 'C++' linkage
flash.cc:294: error: conflicts with new declaration with 'C' linkage
make[4]: *** [flash.o] Error 1
 
the full log can be found here:

 http://people.debian.org/~lucas/logs/2007/05/13/freej_0.8.1-4_sid32.buildlog

bye,
    - michael



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#423765; Package freej. Full text and rfc822 format available.

Acknowledgement sent to Guido Trotter <ultrotter@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 423765@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: 423765@bugs.debian.org
Subject: Seems to work
Date: Sun, 17 Jun 2007 15:21:04 +0200
Hi!

Is this a rebuild with some strange configuration? I just rebuilt the package
and it works fine... 

Guido



Tags added: unreproducible, moreinfo Request was from Guido Trotter <ultrotter@debian.org> to control@bugs.debian.org. (Sun, 17 Jun 2007 14:49:01 GMT) Full text and rfc822 format available.

Tags added: lenny, sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Thu, 28 Jun 2007 23:48:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guido Trotter <ultrotter@debian.org>:
Bug#423765; Package freej. Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>:
Extra info received and forwarded to list. Copy sent to Guido Trotter <ultrotter@debian.org>. Full text and rfc822 format available.

Message #19 received at 423765@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>
To: 423765@bugs.debian.org
Cc: hemamu@t-base.ne.jp, Guido Trotter <ultrotter@debian.org>
Subject: Re: Seems to work
Date: Sat, 25 Aug 2007 17:59:29 +0900
[Message part 1 (text/plain, inline)]
Hi ,

I checked this trouble.
I confirmed the same problem as Michael Ablassmeier occurred.
-- >
if i486-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../..    -pipe -D_REENTRANT -O2 -fomit-frame-pointer -march=i486 -ffast-math -msse -mfpmath=sse -MT flash.o -MD -MP -MF ".deps/flash.Tpo" -c -o flash.o flash.cc; \
        then mv -f ".deps/flash.Tpo" ".deps/flash.Po"; else rm -f ".deps/flash.Tpo"; exit 1; fi
swf.h:202: error: previous declaration of ‘int shape_size’ with ‘C++’ linkage
flash.cc:294: error: conflicts with new declaration with ‘C’ linkage
swf.h:202: error: previous declaration of ‘int shape_nb’ with ‘C++’ linkage
flash.cc:294: error: conflicts with new declaration with ‘C’ linkage
swf.h:202: error: previous declaration of ‘int shaperecord_size’ with ‘C++’ linkage
flash.cc:294: error: conflicts with new declaration with ‘C’ linkage
swf.h:202: error: previous declaration of ‘int shaperecord_nb’ with ‘C++’ linkage
flash.cc:294: error: conflicts with new declaration with ‘C’ linkage
swf.h:202: error: previous declaration of ‘int style_size’ with ‘C++’ linkage
flash.cc:294: error: conflicts with new declaration with ‘C’ linkage
swf.h:202: error: previous declaration of ‘int style_nb’ with ‘C++’ linkage
flash.cc:294: error: conflicts with new declaration with ‘C’ linkage
<--

I made the patch to solve this problem.
Could you confirm it?

regards,
 Nobuhiro

--
Nobuhiro Iwamatsu
	hemamu@t-base.ne.jp
	iwamatsu@debian.or.jp

	GPG ID : 3170EBE9
[swf.h.patch (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guido Trotter <ultrotter@debian.org>:
Bug#423765; Package freej. Full text and rfc822 format available.

Acknowledgement sent to jaromil <jaromil@dyne.org>:
Extra info received and forwarded to list. Copy sent to Guido Trotter <ultrotter@debian.org>. Full text and rfc822 format available.

Message #24 received at 423765@bugs.debian.org (full text, mbox):

From: jaromil <jaromil@dyne.org>
To: Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>, 423765@bugs.debian.org
Cc: Guido Trotter <ultrotter@debian.org>
Subject: Re: Bug#423765: Seems to work
Date: Mon, 27 Aug 2007 17:04:03 +0000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


re all,

i included this patch in upstream, thanks.

would be nice to notice also Olivier Debon author of the flash library

freej 0.9 is out soon.

ciao

- -- 
 (_ http://jaromil.dyne.org _)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG0wQDe2QxhLU0C14RAid3AJwLnnPK8IRAvTdSFdy/04/lAdbvLwCeIXM8
09CjeNoEl0mS4mLPXP/1wqs=
=c1wd
-----END PGP SIGNATURE-----



Tags removed: unreproducible, moreinfo Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 18 Sep 2007 14:33:02 GMT) Full text and rfc822 format available.

Reply sent to Guido Trotter <ultrotter@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 423765-close@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: 423765-close@bugs.debian.org
Subject: Bug#423765: fixed in freej 0.9.1+dl0-1
Date: Fri, 04 Jan 2008 16:32:02 +0000
Source: freej
Source-Version: 0.9.1+dl0-1

We believe that the bug you reported is fixed in the latest version of
freej, which is due to be installed in the Debian FTP archive:

freej_0.9.1+dl0-1.diff.gz
  to pool/main/f/freej/freej_0.9.1+dl0-1.diff.gz
freej_0.9.1+dl0-1.dsc
  to pool/main/f/freej/freej_0.9.1+dl0-1.dsc
freej_0.9.1+dl0-1_i386.deb
  to pool/main/f/freej/freej_0.9.1+dl0-1_i386.deb
freej_0.9.1+dl0.orig.tar.gz
  to pool/main/f/freej/freej_0.9.1+dl0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 423765@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Trotter <ultrotter@debian.org> (supplier of updated freej package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 04 Jan 2008 17:01:24 +0100
Source: freej
Binary: freej
Architecture: source i386
Version: 0.9.1+dl0-1
Distribution: unstable
Urgency: low
Maintainer: Guido Trotter <ultrotter@debian.org>
Changed-By: Guido Trotter <ultrotter@debian.org>
Description: 
 freej      - Digital instrument for video liveset
Closes: 381410 388132 393749 394932 419813 423765 458599
Changes: 
 freej (0.9.1+dl0-1) unstable; urgency=low
 .
   [ Guido Trotter and Luca Bigliardi ]
   * New upstream version (closes: #458599)
     - Now compiles with gcc 4.2 (closes: #394932, #423765)
     - ImageLayer objects from a .js file now work (closes: #388132)
   * Compile linking all libraries which are in debian dynamically
     - This makes it build on amd64 (closes: #381410, #393749)
   * Ship upstream manpage (and remove debian's)
   * Recommend freefonts, whose dir is now scanned by freej (closes: #419813)
   * Update menu file to the new policy
   * Ship scripting documentation and example scripts
Files: 
 848bb3cb8ec59bc4ea8d9a5d3d283e7f 946 x11 optional freej_0.9.1+dl0-1.dsc
 982492f98b37578576c7d01e5ae608e5 1693806 x11 optional freej_0.9.1+dl0.orig.tar.gz
 2fc7139eb2866c6491e9b215ecfa2fac 7611 x11 optional freej_0.9.1+dl0-1.diff.gz
 77dc84e1578209c0cab2c6b89a0a2c80 456616 x11 optional freej_0.9.1+dl0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHfluThImxTYgHUpsRAuwAAJwLi9PjmLzv5TBVfo0EhWixoUGXNgCfRzJT
RhFxQmRCOn3qOVvh+hwEH6U=
=H72G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 09:41:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:12:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.